CookieAttributeHandler (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie
Interface CookieAttributeHandler

All Known Subinterfaces:
  CommonCookieAttributeHandler

All Known Implementing Classes:
  AbstractCookieAttributeHandler, BasicCommentHandler, BasicDomainHandler, BasicExpiresHandler, BasicMaxAgeHandler, BasicPathHandler, BasicSecureHandler, BrowserCompatVersionAttributeHandler, LaxExpiresHandler, LaxMaxAgeHandler, NetscapeDomainHandler, PublicSuffixDomainFilter, PublicSuffixFilter, RFC2109DomainHandler, RFC2109VersionHandler, RFC2965CommentUrlAttributeHandler, RFC2965DiscardAttributeHandler, RFC2965DomainAttributeHandler, RFC2965PortAttributeHandler, RFC2965VersionAttributeHandler

    public interface CookieAttributeHandler

This interface represents a cookie attribute handler responsible for parsing, validating, and matching a specific cookie attribute, such as path, domain, port, etc. Different cookie specifications can provide a specific implementation for this class based on their cookie handling rules.

Since:
  4.0

Method Summary
`boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
`void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
`void` | `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

Method Detail

### parse

    void parse(SetCookie cookie,
               String value)
               throws MalformedCookieException

  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

### validate

    void validate(Cookie cookie,
                  CookieOrigin origin)
                  throws MalformedCookieException

  Peforms cookie validation for the given attribute value.

  Parameters:
    `cookie` - `Cookie` to validate
    `origin` - the cookie source to validate against
  Throws:
    `MalformedCookieException` - if cookie validation fails for this attribute

### match

    boolean match(Cookie cookie,
                  CookieOrigin origin)

  Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.

  Parameters:
    `cookie` - `Cookie` to match
    `origin` - the cookie source to match against
  Returns:
    `true` if the match is successful; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.